package it.integry.integrywmsnative.gest.contab_doc_interni.dialog;

import java.util.Date;

import it.integry.integrywmsnative.gest.contab_doc_interni.dto.FornitoreDTO;
import it.integry.integrywmsnative.gest.contab_doc_interni.dto.GruppoArticoloDTO;
import it.integry.integrywmsnative.gest.contab_doc_interni.dto.TipoDocDTO;

public class DialogSelectDocInfoResponseDTO {

    private TipoDocDTO tipoDoc;
    private GruppoArticoloDTO gruppoArt;
    private FornitoreDTO fornitore;
    private Date dataDoc;
    private Integer numDoc;
    private String note;
    private boolean fornitoreRequired;
    private boolean documentRequired;
    private boolean noteRequired;


    public TipoDocDTO getTipoDoc() {
        return tipoDoc;
    }

    public DialogSelectDocInfoResponseDTO setTipoDoc(TipoDocDTO tipoDoc) {
        this.tipoDoc = tipoDoc;
        return this;
    }

    public GruppoArticoloDTO getGruppoArt() {
        return gruppoArt;
    }

    public DialogSelectDocInfoResponseDTO setGruppoArt(GruppoArticoloDTO gruppoArt) {
        this.gruppoArt = gruppoArt;
        return this;
    }

    public FornitoreDTO getFornitore() {
        return fornitore;
    }

    public DialogSelectDocInfoResponseDTO setFornitore(FornitoreDTO fornitore) {
        this.fornitore = fornitore;
        return this;
    }

    public Date getDataDoc() {
        return dataDoc;
    }

    public DialogSelectDocInfoResponseDTO setDataDoc(Date dataDoc) {
        this.dataDoc = dataDoc;
        return this;
    }

    public Integer getNumDoc() {
        return numDoc;
    }

    public DialogSelectDocInfoResponseDTO setNumDoc(Integer numDoc) {
        this.numDoc = numDoc;
        return this;
    }

    public String getNote() {
        return note;
    }

    public DialogSelectDocInfoResponseDTO setNote(String note) {
        this.note = note;
        return this;
    }

    public boolean isFornitoreRequired() {
        return fornitoreRequired;
    }

    public DialogSelectDocInfoResponseDTO setFornitoreRequired(boolean fornitoreRequired) {
        this.fornitoreRequired = fornitoreRequired;
        return this;
    }

    public boolean isDocumentRequired() {
        return documentRequired;
    }

    public DialogSelectDocInfoResponseDTO setDocumentRequired(boolean documentRequired) {
        this.documentRequired = documentRequired;
        return this;
    }

    public boolean isNoteRequired() {
        return noteRequired;
    }

    public DialogSelectDocInfoResponseDTO setNoteRequired(boolean noteRequired) {
        this.noteRequired = noteRequired;
        return this;
    }
}
